"use strict";

var _getOptions = _interopRequireDefault(require("./getOptions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const options = (0, _getOptions.default)();
const alias = options.app.alias;

module.exports = () => ({
  visitor: {
    ImportDeclaration(path) {
      const source = path.node.source.value;
      const aliasName = Object.keys(alias);
      aliasName.forEach(name => {
        if (source.includes(name)) {
          path.node.source.value = source.replace(name, alias[name]);
        }
      });
    }

  }
});